javax.jms

## Class TransactionRolledBackRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jms.JMSRuntimeException
        - - javax.jms.TransactionRolledBackRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MQTransactionRolledBackRuntimeException

      public class TransactionRolledBackRuntimeException
      extends JMSRuntimeException

  This unchecked exception must be thrown when a call to `JMSContext.commit` results in a rollback of the current transaction.
  Since:
    JMS 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionRolledBackRuntimeException(String detailMessage)` Constructs a `TransactionRolledBackRuntimeException` with the specified detail message
    `TransactionRolledBackRuntimeException(String detailMessage, String errorCode)` Constructs a `TransactionRolledBackRuntimeException` with the specified detail message and error code.
    `TransactionRolledBackRuntimeException(String detailMessage, String errorCode, Throwable cause)` Constructs a `TransactionRolledBackRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    - ### Methods inherited from class javax.jms.JMSRuntimeException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionRolledBackRuntimeException

          public TransactionRolledBackRuntimeException(String detailMessage)

      Constructs a `TransactionRolledBackRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### TransactionRolledBackRuntimeException

          public TransactionRolledBackRuntimeException(String detailMessage,
                                               String errorCode)

      Constructs a `TransactionRolledBackRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### TransactionRolledBackRuntimeException

          public TransactionRolledBackRuntimeException(String detailMessage,
                                               String errorCode,
                                               Throwable cause)

      Constructs a `TransactionRolledBackRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.